> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datanumia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sites heating schedule

> Returns heating schedule (planning technique).



## OpenAPI

````yaml /api-reference/part-budget-api.yaml get /sites/{site-id}/heating-schedule
openapi: 3.0.1
info:
  title: part-budget-api
  description: Heating control by budget
  termsOfService: TODO
  contact:
    email: api@datanumia.com
  version: 1.0.0
servers:
  - url: https://api.home.datanumia.com/api/v1
security: []
paths:
  /sites/{site-id}/heating-schedule:
    get:
      description: Returns heating schedule (planning technique).
      operationId: getHeatingSchedule
      parameters:
        - name: site-id
          in: path
          description: site-id
          required: true
          schema:
            type: string
        - name: anticipation
          in: query
          description: anticipation
          required: true
          schema:
            type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HeatingScheduleResource'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Unkown resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    HeatingScheduleResource:
      type: object
      required:
        - heatingSchedule
      properties:
        heatingSchedule:
          $ref: '#/components/schemas/HeatingSchedule'
    ApiError:
      description: ''
      properties:
        errorCode:
          description: Code d'erreur
          type: string
        errorDescription:
          description: Message d'erreur
          type: string
      required:
        - errorCode
    HeatingSchedule:
      type: object
      required:
        - temperatures
        - weeklyCalendar
      properties:
        temperatures:
          $ref: '#/components/schemas/TemperatureMap'
        weeklyCalendar:
          type: array
          items:
            $ref: '#/components/schemas/WeeklyCalendarData'
    TemperatureMap:
      description: A simple Map<string, Temperature>
      type: object
      additionalProperties:
        $ref: '#/components/schemas/Temperature'
    WeeklyCalendarData:
      type: object
      required:
        - offset
        - temperature
      properties:
        offset:
          type: integer
        temperature:
          type: string
    Temperature:
      type: object
      properties:
        unit:
          type: string
          enum:
            - CELSIUS
        value:
          type: number

````